ldap_modify
ldap_next_entry
LDAP Functions
PHP Manual

# ldap_next_attribute

(PHP 4, PHP 5)

ldap_next_attribute — Get the next attribute in result

### Description

string ldap_next_attribute ( resource `$link_identifier` , resource `$result_entry_identifier` )

Retrieves the attributes in an entry. The first call to ldap_next_attribute() is made with the `result_entry_identifier` returned from ldap_first_attribute().

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`result_entry_identifier`

`ber_identifier`

  The internal state of the pointer is maintained by this parameter.

  > Note:

  > This parameter is no longer used as this is now handled automatically by PHP. For backwards compatibility PHP will not throw an error if this parameter is passed.

### Return Values

Returns the next attribute in an entry on success and `FALSE` on error.

### Changelog

Version | Description
--- | ---
5.2.4 | The `ber_identifier` was removed. This is now handled automatically by PHP.

### See Also

- ldap_get_attributes() - Get attributes from a search result entry

ldap_modify
ldap_next_entry
LDAP Functions
PHP Manual